<?php

declare(strict_types=1);

namespace App\Domain\PreSave;

use App\Framework\Database\EntityManager;
use App\Framework\DI\Initializer;

final readonly class PreSaveRepositoryInitializer
{
    #[Initializer]
    public function initializeCampaignRepository(
        EntityManager $entityManager
    ): PreSaveCampaignRepository {
        return new PreSaveCampaignRepository($entityManager);
    }

    #[Initializer]
    public function initializeRegistrationRepository(
        EntityManager $entityManager
    ): PreSaveRegistrationRepository {
        return new PreSaveRegistrationRepository($entityManager);
    }
}
